comparePred {nlme} | R Documentation

## Compare Predictions

### Description

Predicted values are obtained at the specified values of `primary` for each object. If either `object1` or `object2` have a grouping structure (i.e. `getGroups(object)` is not `NULL`), predicted values are obtained for each group. When both objects determine groups, the group levels must be the same. If other covariates besides `primary` are used in the prediction model, their group-wise averages (numeric covariates) or most frequent values (categorical covariates) are used to obtain the predicted values. The original observations are also included in the returned object.

### Usage

    comparePred(object1, object2, primary, minimum, maximum,
        length.out, level, ...)

### Arguments

`object1,object2` | fitted model objects, from which predictions can be extracted using the `predict` method.
`primary` | an optional one-sided formula specifying the primary covariate to be used to generate the augmented predictions. By default, if a covariate can be extracted from the data used to generate the objects (using `getCovariate`), it will be used as `primary`.
`minimum` | an optional lower limit for the primary covariate. Defaults to `min(primary)`, after `primary` is evaluated in the `data` used in fitting `object1`.
`maximum` | an optional upper limit for the primary covariate. Defaults to `max(primary)`, after `primary` is evaluated in the `data` used in fitting `object1`.
`length.out` | an optional integer with the number of primary covariate values at which to evaluate the predictions. Defaults to 51.
`level` | an optional integer specifying the desired prediction level. Levels increase from outermost to innermost grouping, with level 0 representing the population (fixed effects) predictions. Only one level can be specified. Defaults to the innermost level.
`...` | some methods for the generic may require additional arguments.

### Value

a data frame with four columns representing, respectively, the values of the primary covariate, the groups (if `object` does not have a grouping structure, all elements will be `1`), the predicted or observed values, and the type of value in the third column: the objects' names are used to classify the predicted values and `original` is used for the observed values. The returned object inherits from classes `comparePred` and `augPred`.

### Note

This function is generic; method functions can be written to handle specific classes of objects. Classes which already have methods for this function include: `gls`, `lme`, and `lmList`.

### Author(s)

José Pinheiro and Douglas Bates bates@stat.wisc.edu

### See Also

`augPred`, `getGroups`

### Examples

    fm1 <- lme(distance ~ age * Sex, data = Orthodont, random = ~ age)
    fm2 <- update(fm1, distance ~ age)
    comparePred(fm1, fm2, length.out = 2)

[Package nlme version 3.1-131 Index]